<?php
@include("../../class/connect.php");
if(!defined('InEmpireCMS'))
{
	exit();
}
@include("../../class/config.php");
$myuserid=(int)getcvar('mluserid');
if($myuserid)
{
	@include("../../class/db_sql.php");
	@include("../../class/user.php");
	@include("../../class/MemberLevel.php");
	$link=db_connect();
	$empire=new mysqlquery();
	//数据
	$myusername=getcvar('mlusername');
	$myrnd=getcvar('mlrnd');
	$r=$empire->fetch1("select ".$user_userid.",".$user_username.",".$user_group.",".$user_userfen.",".$user_money.",".$user_userdate.",".$user_havemsg.",".$user_checked." from ".$user_tablename." where ".$user_userid."='$myuserid' and ".$user_rnd."='$myrnd' limit 1");
	if(empty($r[$user_userid])||$r[$user_checked]==0)
	{
		EmptyEcmsCookie();
		echo"<script>self.location.reload();</script>";
		exit();
	}
	//会员等级
	if(empty($r[$user_group]))
	{$groupid=$user_groupid;}
	else
	{$groupid=$r[$user_group];}
	$groupname=$level_r[$groupid]['groupname'];
	//点数
	$userfen=$r[$user_userfen];
	//余额
	$money=$r[$user_money];
	//天数
	$userdate=0;
	if($r[$user_userdate])
	{
		$userdate=$r[$user_userdate]-time();
		if($userdate<=0)
		{$userdate=0;}
		else
		{$userdate=round($userdate/(24*3600));}
	}
	//是否有短信息
	$havemsg="";
	if($r[$user_havemsg])
	{
		$havemsg="<a href='".$public_r['newsurl']."e/member/msg' target=_blank><font color=red>您有新信息</font></a>";
	}
	//$myusername=$r[$user_username];
	db_close();
	$empire=null;
?>
<!--loginin-->
<?
}
else
{
?>
<!--login-->
<?
}
?>